// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: uml.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace openfmb {

  /// <summary>Holder for reflection information generated from uml.proto</summary>
  public static partial class UmlReflection {

    #region Descriptor
    /// <summary>File descriptor for uml.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static UmlReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cgl1bWwucHJvdG8SA3VtbBogZ29vZ2xlL3Byb3RvYnVmL2Rlc2NyaXB0b3Iu",
            "cHJvdG86PgoVb3B0aW9uX3BhcmVudF9tZXNzYWdlEh0uZ29vZ2xlLnByb3Rv",
            "YnVmLkZpZWxkT3B0aW9ucxjQhgMgASgIOj4KFW9wdGlvbl9yZXF1aXJlZF9m",
            "aWVsZBIdLmdvb2dsZS5wcm90b2J1Zi5GaWVsZE9wdGlvbnMY0YYDIAEoCDpA",
            "ChdvcHRpb25fbXVsdGlwbGljaXR5X21pbhIdLmdvb2dsZS5wcm90b2J1Zi5G",
            "aWVsZE9wdGlvbnMY0oYDIAEoBTpAChdvcHRpb25fbXVsdGlwbGljaXR5X21h",
            "eBIdLmdvb2dsZS5wcm90b2J1Zi5GaWVsZE9wdGlvbnMY04YDIAEoBTo0Cgtv",
            "cHRpb25fdXVpZBIdLmdvb2dsZS5wcm90b2J1Zi5GaWVsZE9wdGlvbnMY1IYD",
            "IAEoCDozCgpvcHRpb25fa2V5Eh0uZ29vZ2xlLnByb3RvYnVmLkZpZWxkT3B0",
            "aW9ucxjVhgMgASgIOkEKFm9wdGlvbl9vcGVuZm1iX3Byb2ZpbGUSHy5nb29n",
            "bGUucHJvdG9idWYuTWVzc2FnZU9wdGlvbnMYuI4DIAEoCEJdCgdvcGVuZm1i",
            "UAFaRmdpdGxhYi5jb20vb3BlbmZtYi9wc20vb3BzL3Byb3RvYnVmL2dvLW9w",
            "ZW5mbWItb3BzLXByb3RvYnVmL3YyL29wZW5mbWKqAgdvcGVuZm1iYgZwcm90",
            "bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.Reflection.DescriptorReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, new pb::Extension[] { UmlExtensions.OptionParentMessage, UmlExtensions.OptionRequiredField, UmlExtensions.OptionMultiplicityMin, UmlExtensions.OptionMultiplicityMax, UmlExtensions.OptionUuid, UmlExtensions.OptionKey, UmlExtensions.OptionOpenfmbProfile }, null));
    }
    #endregion

  }
  /// <summary>Holder for extension identifiers generated from the top level of uml.proto</summary>
  public static partial class UmlExtensions {
    public static readonly pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool> OptionParentMessage =
      new pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool>(50000, pb::FieldCodec.ForBool(400000, false));
    public static readonly pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool> OptionRequiredField =
      new pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool>(50001, pb::FieldCodec.ForBool(400008, false));
    public static readonly pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, int> OptionMultiplicityMin =
      new pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, int>(50002, pb::FieldCodec.ForInt32(400016, 0));
    public static readonly pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, int> OptionMultiplicityMax =
      new pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, int>(50003, pb::FieldCodec.ForInt32(400024, 0));
    public static readonly pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool> OptionUuid =
      new pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool>(50004, pb::FieldCodec.ForBool(400032, false));
    public static readonly pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool> OptionKey =
      new pb::Extension<global::Google.Protobuf.Reflection.FieldOptions, bool>(50005, pb::FieldCodec.ForBool(400040, false));
    public static readonly pb::Extension<global::Google.Protobuf.Reflection.MessageOptions, bool> OptionOpenfmbProfile =
      new pb::Extension<global::Google.Protobuf.Reflection.MessageOptions, bool>(51000, pb::FieldCodec.ForBool(408000, false));
  }

}

#endregion Designer generated code
